Salut tout le monde je cherche un moyen pour modifier le format d'une présentation en passant par les "Dictionnaires" j'ai essayé ceci:

(defun plotpapersize ()
(setq activeDoc (vla-get-activedocument (vlax-get-acad-object)))
(setq plotconfigurations (vlax-vla-object->ename (vla-get-plotconfigurations activeDoc)))
(setq datalist(list
    (cons 0 "PLOTSETTINGS")
    (cons 102 "{ACAD_REACTORS")
    (cons 330  plotconfigurations)
    (cons 102 "}")
    (cons 330  plotconfigurations)
    (cons 100 "AcDbPlotSettings")
    (cons 1  "*APS*")
    (cons 2 "DWG To PDF.pc3")
    (cons 4 "User258")
    (cons 40 0.0)
    (cons 41 0.0)
    (cons 42 0.0)
    (cons 43 0.0)
    (cons 44 1500.00)
    (cons 45 400.00)
    (cons 46 0.0)
    (cons 47 0.0)
    (cons 48 0.0)
    (cons 49 0.0)
    (cons 140 5.0)
    (cons 141 5.0)
    (cons 142 1.0)
    (cons 143 1.0)
    (cons 70 2048)
    (cons 72 1)
    (cons 73 1)
    (cons 74 4)
    (cons 7 "")
    (cons 75 16)
    (cons 76 0)
    (cons 77 2)
    (cons 78 300)
    (cons 147 1.0)
    (cons 148 0.0)
    (cons 149 0.0)
    ))
(setq newdict (entmakex datalist))
(vlax-for olddict(vla-get-Plotconfigurations activeDoc)(vla-delete olddict))
(setq namedict (vla-add (vla-get-plotconfigurations activeDoc)"MY_DICT"))
(vla-copyfrom namedict (vlax-ename->vla-object newdict))
)

J'ai essayé avec DictAdd Dictremove etc... mais rien n'y fait je n'arrive pas a modifier le format automatiquement et il faut ensuite activer la mise en page dans "Traceur" et ajouter le nouveau format pour utiliser le nouveau format.

Est-ce que quelqu'un a une autre solution?

 

 

Vues : 55

Y répondre

Réponses à cette discussion

J'ai trouvé la soluce pour faire un format perso auto , en fait si on fait ceci

(setq dictionaries (entget (namedobjdict)))
(setq dict_lays (entget (cdr (cadr (member '(3 . "ACAD_LAYOUT") dictionaries)))))
(setq dict_lay (entget (cdr (cadr (member '(3 . "Présentation1") dict_lays)))))

on tombe sur toute les infos du Layout qu'il faut modifier pour refaire une liste du layout + entmakex + (vla-copyfrom layout à modifier + entité_entmakex)

on regen et le tour est joué!!!

Il fallait juste chercher du coté des "LAYOUT" et non des "PLOTSETTINGS"

a+

 

Est ce que quelqu'un sait comment ajouter un nouveau format personnalisé d'une présentation et l'ajouter dans la configuration du traceur. A part la boite de dialogue du traceur qui nous invite a ajouter le nouveau format je ne trouve pas de commande pour l'ajouter automatiquement. Peut-on ajouter un nouveau format par une commande style:

(setq fso (vlax-create-object "WScript.Shell"))

(setq file (vlax-invoke-method fso "run" fichierPC3)) et éditer le fichier PC3????

RSS

Membres

Bibliothèque TraceParts - Fichiers 2D & 3D GRATUITS

© 2014   Créé par AUGIfr

Badges  |  Signaler un problème  |  Conditions d'utilisation